/* HickUP 1.1.1 -- Graphical interface to hick.
** Copyright (C) 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _LOAD_H
#define _LOAD_H

#include "gui.h"
#include "pref.h"
#include "wwrap.h"

#ifdef __cplusplus
extern "C" {
#endif

/* loaderr.c */

extern void loaderr_clear(void);
extern void loaderr_add(const char *fmt, ...);
extern void loaderr_show(void);
extern void loaderr_do_show(void);

extern void loaderr_check_information(NodeList *packList);

#ifdef __cplusplus
}
#endif

#endif /* _LOAD_H */
