/* HMod 1.0.0 -- Hick modules emulation.
** Copyright (C) 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HMODCMD_H
#define HMODCMD_H

typedef enum {
  HMOD_NONE = 0,
  HMOD_ADD,
  HMOD_TRYADD,
  HMOD_REMOVE,
  HMOD_LIST,
  HMOD_AVAIL,
  HMOD_VERSION,
  HMOD_HELP
} HModCmd;


typedef struct {
  const char *name;
  HModCmd cmd;
} HModCmds;


#ifdef __cplusplus
extern "C" {
#endif

extern HModCmd hmod_command_get(const char *name);

#ifdef __cplusplus
}
#endif

#endif /* HMODCMD_H */
