/* HICKMK Lib 1.2.1 - HICK Make Utility
** Copyright (C) 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _UTILS_H
#define _UTILS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>

#include "mklang.h"

#define INFO_DIR      "info"
#define INFO_DIR_FILE "dir"

#define HTML_DIR      "html"
#define HTML_FILE     "html"

#define MENU_DIR      "menus"
#define MENU_FILE     "menus"

#define SCRIPT_FILE   "scripts"

/* Externs ***************************************************************** */

#ifdef __cplusplus
extern "C" {
#endif

extern char *hmk_getlogin(void);

extern char *_getCString(FILE *file);

extern char **class_get(const char *path, const char *file, enum MKClass cl, 
			size_t *siz);
#ifdef __cplusplus
}
#endif

#endif /* _UTILS_H */
