/* HickUP 1.1.1 -- Graphical interface to hick.
** Copyright (C) 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _BUTTONS_H
#define _BUTTONS_H

#ifdef __cplusplus
extern "C" {
#endif

extern void buttons_signal(GUI_Main *gmain, guint page_num, Project *prj);

extern void cb_quit(GtkWidget *w, gpointer data);

extern void cb_apply(GtkWidget *w, Project *prj);
extern void cb_update(GtkWidget *w, Project *prj);

extern void update_all(Projects *prjs, int wontexit);
extern void update_and_exit(Projects *prjs, int level, const char *prj);

extern void cb_edit_apply(GtkWidget *w, Project *prj);
extern void cb_edit_save(GtkWidget *w, Project *prj);

extern void cb_reqchk_cancel(GtkWidget *w, ReqChk *rchk);

#ifdef __cplusplus
}
#endif

#endif /* _BUTTONS_H */
