/* HMod 1.0.0 -- Hick modules emulation.
** Copyright (C) 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HMODSHELL_H
#define HMODSHELL_H

typedef enum {
  SHELL_TYPE_SH = 0,
  SHELL_TYPE_KSH,
  SHELL_TYPE_CSH,
  SHELL_TYPE_TCLSH,
  SHELL_TYPE_ES,
  SHELL_TYPE_RC,
  SHELL_TYPE_NONE
} HModShellType;


typedef struct {
  const char *set;
  const char *unset;
} HModShell;


#ifdef __cplusplus
extern "C" {
#endif

extern HModShellType hmod_shell_type_get(const char *name);
extern HModShell *hmod_shell_get(HModShellType type);

#ifdef __cplusplus
}
#endif

#endif // HMODSHELL_H
